<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/test/CapabilityConfigurationTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_17565a3651b6551653a4e14cb661c95c.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">CapabilityConfigurationTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;<a class="el" href="_capability_configuration_8h_source.html">AVSCommon/AVS/CapabilityConfiguration.h</a>&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for CapabilityConfigurationTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_capability_configuration_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_capability_configuration_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_capability_configuration_test_8cpp" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2test_2_capability_configuration_test_8cpp">
<area shape="rect" id="node2" href="_capability_configuration_8h.html" title="AVSCommon/AVS/Capability\lConfiguration.h" alt="" coords="23,105,216,144"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_capability_configuration_test.html">alexaClientSDK::avsCommon::avs::test::CapabilityConfigurationTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">alexaClientSDK::avsCommon::avs</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html">alexaClientSDK::avsCommon::avs::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:afe2f6a035f039ab01bb8bdefed7df9e5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#afe2f6a035f039ab01bb8bdefed7df9e5">alexaClientSDK::avsCommon::avs::test::TEST_F</a> (CapabilityConfigurationTest, test_constructor)</td></tr>
<tr class="memdesc:afe2f6a035f039ab01bb8bdefed7df9e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test the constructor.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#afe2f6a035f039ab01bb8bdefed7df9e5">More...</a><br /></td></tr>
<tr class="separator:afe2f6a035f039ab01bb8bdefed7df9e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cba36be608971af299f186166403122"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a4cba36be608971af299f186166403122">alexaClientSDK::avsCommon::avs::test::TEST_F</a> (CapabilityConfigurationTest, test_equality)</td></tr>
<tr class="memdesc:a4cba36be608971af299f186166403122"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test the == operator.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a4cba36be608971af299f186166403122">More...</a><br /></td></tr>
<tr class="separator:a4cba36be608971af299f186166403122"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13205195c9cf70165622bda3508fc8c7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a13205195c9cf70165622bda3508fc8c7">alexaClientSDK::avsCommon::avs::test::TEST_F</a> (CapabilityConfigurationTest, test_inequality)</td></tr>
<tr class="memdesc:a13205195c9cf70165622bda3508fc8c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test the != operator.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a13205195c9cf70165622bda3508fc8c7">More...</a><br /></td></tr>
<tr class="separator:a13205195c9cf70165622bda3508fc8c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad08b817873f3e994754a88c981b7c3d4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#ad08b817873f3e994754a88c981b7c3d4">alexaClientSDK::avsCommon::avs::test::TEST_F</a> (CapabilityConfigurationTest, test_multipleValues)</td></tr>
<tr class="memdesc:ad08b817873f3e994754a88c981b7c3d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if equality and hash works if you have multiple entries in maps that are the same but in different order.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#ad08b817873f3e994754a88c981b7c3d4">More...</a><br /></td></tr>
<tr class="separator:ad08b817873f3e994754a88c981b7c3d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:acc25918ea0f83fd30c86fc5b64052aed"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#acc25918ea0f83fd30c86fc5b64052aed">alexaClientSDK::avsCommon::avs::test::KEY1</a> = &quot;key1&quot;</td></tr>
<tr class="memdesc:acc25918ea0f83fd30c86fc5b64052aed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Key 1 for an entry of <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#acc25918ea0f83fd30c86fc5b64052aed">More...</a><br /></td></tr>
<tr class="separator:acc25918ea0f83fd30c86fc5b64052aed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad17341c9734ef47062074d8b17f893a8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#ad17341c9734ef47062074d8b17f893a8">alexaClientSDK::avsCommon::avs::test::KEY2</a> = &quot;key2&quot;</td></tr>
<tr class="memdesc:ad17341c9734ef47062074d8b17f893a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Key 2 for an entry of <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#ad17341c9734ef47062074d8b17f893a8">More...</a><br /></td></tr>
<tr class="separator:ad17341c9734ef47062074d8b17f893a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cb8d8c931573a408ab8c1c0f3766f49"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a1cb8d8c931573a408ab8c1c0f3766f49">alexaClientSDK::avsCommon::avs::test::VALUE1</a> = &quot;value1&quot;</td></tr>
<tr class="memdesc:a1cb8d8c931573a408ab8c1c0f3766f49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value 1 for an entry of <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a1cb8d8c931573a408ab8c1c0f3766f49">More...</a><br /></td></tr>
<tr class="separator:a1cb8d8c931573a408ab8c1c0f3766f49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84e6ff44e8ef89c9a1ca55d714dde339"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a84e6ff44e8ef89c9a1ca55d714dde339">alexaClientSDK::avsCommon::avs::test::VALUE2</a> = &quot;value2&quot;</td></tr>
<tr class="memdesc:a84e6ff44e8ef89c9a1ca55d714dde339"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value 2 for an entry of <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a></code>.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a84e6ff44e8ef89c9a1ca55d714dde339">More...</a><br /></td></tr>
<tr class="separator:a84e6ff44e8ef89c9a1ca55d714dde339"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
